<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <SignAssembly>True</SignAssembly>
    <BlazorDisableThrowNavigationException>true</BlazorDisableThrowNavigationException>
    <UserSecretsId>63d55865-dbfb-40d6-b6df-9bf6d14d15ca</UserSecretsId>
    <AssemblyOriginatorKeyFile>..\MidrandBooks.snk</AssemblyOriginatorKeyFile>
    <BlazorDisableThrowNavigationException>true</BlazorDisableThrowNavigationException>
  </PropertyGroup>

  <!-- file nesting -->
  <ItemGroup>
    <ProjectCapability Include="ConfigurableFileNesting" />
    <ProjectCapability Include="ConfigurableFileNestingFeatureEnabled" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="LiteCharms.Features" Version="1.82.0" />
  </ItemGroup>

  <!-- UI -->
  <ItemGroup>
    <PackageReference Include="ANM.Blazored.Toast" Version="0.1.1" />
    <PackageReference Include="LiteCharms.Features.MidrandBooks" Version="1.82.0" />
    
    <!-- Global Usings -->
    <Using Include="Blazored.Toast.Services" />
  </ItemGroup>

  <!-- CQRS -->
  <ItemGroup>
    <PackageReference Include="Mediator.SourceGenerator" Version="3.0.2">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>

    <!-- Global Usings -->
    <Using Include="FluentResults" />
    <Using Include="Mediator" />
    <Using Include="Quartz" />
  </ItemGroup>

  <!-- Health Checks -->
  <ItemGroup>
    <Using Include="Microsoft.AspNetCore.Diagnostics.HealthChecks" />
  </ItemGroup>

  <!-- Shared Global Usings -->
  <ItemGroup>
    <Using Include="Blazored.Toast" />
    <Using Include="Microsoft.AspNetCore.Components" />
  </ItemGroup>

</Project>
